Subject: Re: Expect Perl Module
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 5 Dec 2000 23:55:47 +0100

<4 Dec 2000, 11:15 Uhr wars, als Nathaniel folgendes schrub:>
< Expect Perl Module >

> Dear cygwin,
> 
> I am a fan of the work, and I would like to get the most of my cygwin
> experience.
> 
> I am currently developing software that uses the expect perl module under a
> solaris environment.  My question is the following.  Has anyone ever
> successfully installed the module under cygwin?  If yes, is it documented
> anywhere?  If no, has anyone ever tried?
> 
> Thank you,
> Nathaniel Fournier
> Nuance Communications

Yepp, no problems, you got some?

siebenschlaefer@LORELEY /
$ perl -MCPAN -e shell
cpan shell -- CPAN exploration and modules installation (v1.59_51)
ReadLine support available (try 'install Bundle::CPAN')

cpan>m /Expect/
CPAN: Storable loaded ok
Going to read /home/siebenschlaefer/.cpan/Metadata
Module id = Expect
    DESCRIPTION  Close relative of Don Libes' Expect in perl
    CPAN_USERID  RGIERSIG (Roland Giersig <[email-masked]>)
    CPAN_VERSION 1.10
    CPAN_FILE    R/RG/RGIERSIG/Expect-1.10.tar.gz
    DSLI_STATUS  RdpO (released,developer,perl,object-oriented)
    INST_FILE    (not installed)

cpan> install Expect
Running install for module Expect
Running make for R/RG/RGIERSIG/Expect-1.10.tar.gz
CPAN: MD5 loaded ok
CPAN: Net::FTP loaded ok
Fetching with Net::FTP:
  ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/R/RG/RGIERSIG/CHECKSUMS
Checksum for /home/siebenschlaefer/.cpan/sources/authors/id/R/RG/RGIERSIG/Expect-1.10.tar.gz ok
Scanning cache /home/siebenschlaefer/.cpan/build for sizes
Expect-1.10/
Expect-1.10/tutorial/
Expect-1.10/tutorial/README
Expect-1.10/tutorial/4.A.top
Expect-1.10/tutorial/5.A.top
Expect-1.10/tutorial/5.B.top
Expect-1.10/tutorial/6.B.modem-init
Expect-1.10/tutorial/6.A.smtp-verify
Expect-1.10/tutorial/2.A.ftp
Expect-1.10/tutorial/1.A.Intro
Expect-1.10/tutorial/2.B.rlogin
Expect-1.10/tutorial/3.A.debugging
Expect-1.10/Expect_FAQ.pod
Expect-1.10/Expect.pm
Expect-1.10/FAQ.old
Expect-1.10/Expect_intro.pod
Expect-1.10/MANIFEST
Expect-1.10/Makefile.PL
Expect-1.10/Changes
Expect-1.10/Expect.pod
Expect-1.10/README

  CPAN.pm: Going to build R/RG/RGIERSIG/Expect-1.10.tar.gz

Warning: prerequisite IO::Pty failed to load: Can't locate IO/Pty.pm in @INC (@INC contains: /usr/local/lib/perl5/5.7.0/cygwin-multi /usr/local/lib/perl5/5.7.0 /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi /usr/local/lib/perl5/site_perl
/5.7.0 /usr/local/lib/perl5/site_perl .) at (eval 4) line 3.
Warning: prerequisite IO::Stty failed to load: Can't locate IO/Stty.pm in @INC (@INC contains: /usr/local/lib/perl5/5.7.0/cygwin-multi /usr/local/lib/perl5/5.7.0 /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi /usr/local/lib/perl5/site_pe
rl/5.7.0 /usr/local/lib/perl5/site_perl .) at (eval 5) line 3.
Warning: prerequisite IO::Tty failed to load: Can't locate IO/Tty.pm in @INC (@INC contains: /usr/local/lib/perl5/5.7.0/cygwin-multi /usr/local/lib/perl5/5.7.0 /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi /usr/local/lib/perl5/site_perl
/5.7.0 /usr/local/lib/perl5/site_perl .) at (eval 6) line 3.
Checking if your kit is complete...
Looks good
Writing Makefile for Expect
---- Unsatisfied dependencies detected during [R/RG/RGIERSIG/Expect-1.10.tar.gz] -----
    IO::Tty
    IO::Stty
    IO::Pty
Running make test
  Delayed until after prerequisites
Running make install
  Delayed until after prerequisites
Running install for module IO::Tty
Running make for G/GB/GBARR/IO-Tty-0.04.tar.gz
Fetching with Net::FTP:
  ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/G/GB/GBARR/IO-Tty-0.04.tar.gz
Checksum for /home/siebenschlaefer/.cpan/sources/authors/id/G/GB/GBARR/IO-Tty-0.04.tar.gz ok
IO-Tty-0.04/
IO-Tty-0.04/MANIFEST
IO-Tty-0.04/ChangeLog
IO-Tty-0.04/IO-Tty.ppd
IO-Tty-0.04/Makefile.PL
IO-Tty-0.04/Pty.pm
IO-Tty-0.04/COPYING
IO-Tty-0.04/Tty.xs
IO-Tty-0.04/Tty.pm
IO-Tty-0.04/README
IO-Tty-0.04/try

  CPAN.pm: Going to build G/GB/GBARR/IO-Tty-0.04.tar.gz

Looking for ttyname()....Found
Checking if your kit is complete...
Looks good
Writing Makefile for IO::Tty
cp Pty.pm blib/lib/IO/Pty.pm
cp Tty.pm blib/lib/IO/Tty.pm
/usr/local/bin/perl -I/usr/local/lib/perl5/5.7.0/cygwin-multi -I/usr/local/lib/perl5/5.7.0 /usr/local/lib/perl5/5.7.0/ExtUtils/xsubpp  -typemap /usr/local/lib/perl5/5.7.0/ExtUtils/typemap Tty.xs > Tty.xsc && mv Tty.xsc Tty.c
gcc -c  -DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include -DUSEIMPORTLIB -O2   -DVERSION=\"0.04\" -DXS_VERSION=\"0.04\"  -I/usr/local/lib/perl5/5.7.0/cygwin-multi/CORE -DHAS_TTYNAME Tty.c
Tty.xs: In function `xsignal':
Tty.xs:349: warning: assignment from incompatible pointer type
Tty.xs:354: warning: return from incompatible pointer type
Running Mkbootstrap for IO::Tty ()
chmod 644 Tty.bs
rm -f blib/arch/auto/IO/Tty/Tty.dll
LD_RUN_PATH="" ld2 -o blib/arch/auto/IO/Tty/Tty.dll  -s -L/usr/local/lib Tty.o   /usr/local/lib/perl5/5.7.0/cygwin-multi/CORE/libperl5_7_0.a
dllwrap --dllname Tty.dll --driver-name gcc --dlltool dlltool --export-all-symbols --as as --output-def libTty.def --output-lib libTty.a \
 -s -L/usr/local/lib Tty.o /usr/local/lib/perl5/5.7.0/cygwin-multi/CORE/libperl5_7_0.a
dllwrap: no export definition file provided
dllwrap: creating one, but that may not be what you want
mv Tty.dll libTty.a blib/arch/auto/IO/Tty/
chmod 755 blib/arch/auto/IO/Tty/Tty.dll
cp Tty.bs blib/arch/auto/IO/Tty/Tty.bs
chmod 644 blib/arch/auto/IO/Tty/Tty.bs
Manifying blib/man3/IO.Pty.3
  /usr/bin/make  -- OK
Running make test
No tests defined for IO::Tty extension.
  /usr/bin/make test -- OK
Running make install
Installing /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi/auto/IO/Tty/libTty.a
Installing /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi/auto/IO/Tty/Tty.bs
Installing /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi/auto/IO/Tty/Tty.dll
Files found in blib/arch: installing files in blib/lib into architecture dependent library tree
Installing /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi/IO/Pty.pm
Installing /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi/IO/Tty.pm
Installing /usr/local/man/man3/IO.Pty.3
Writing /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi/auto/IO/Tty/.packlist
Appending installation info to /usr/local/lib/perl5/5.7.0/cygwin-multi/perllocal.pod
  /usr/bin/make install  -- OK
Running install for module IO::Stty
Running make for A/AU/AUSCHUTZ/IO-Stty-.02.tar.gz
Fetching with Net::FTP:
  ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/A/AU/AUSCHUTZ/IO-Stty-.02.tar.gz
Fetching with Net::FTP:
  ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/A/AU/AUSCHUTZ/CHECKSUMS
Checksum for /home/siebenschlaefer/.cpan/sources/authors/id/A/AU/AUSCHUTZ/IO-Stty-.02.tar.gz ok
IO-Stty-.02/
IO-Stty-.02/stty.txt
IO-Stty-.02/stty.pl
IO-Stty-.02/Makefile.PL
IO-Stty-.02/Stty.pm
IO-Stty-.02/README

  CPAN.pm: Going to build A/AU/AUSCHUTZ/IO-Stty-.02.tar.gz

Writing Makefile for IO::Stty
cp stty.pl blib/lib/IO/stty.pl
cp Stty.pm blib/lib/IO/Stty.pm
  /usr/bin/make  -- OK
Running make test
No tests defined for IO::Stty extension.
  /usr/bin/make test -- OK
Running make install
Installing /usr/local/lib/perl5/site_perl/5.7.0/IO/stty.pl
Installing /usr/local/lib/perl5/site_perl/5.7.0/IO/Stty.pm
Writing /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi/auto/IO/Stty/.packlist
Appending installation info to /usr/local/lib/perl5/5.7.0/cygwin-multi/perllocal.pod
  /usr/bin/make install  -- OK
IO::Pty is up to date.
Running make for R/RG/RGIERSIG/Expect-1.10.tar.gz
  Is already unwrapped into directory /home/siebenschlaefer/.cpan/build/Expect-1.10

  CPAN.pm: Going to build R/RG/RGIERSIG/Expect-1.10.tar.gz

cp Expect_intro.pod blib/lib/Expect_intro.pod
cp Expect.pod blib/lib/Expect.pod
cp Expect.pm blib/lib/Expect.pm
cp Expect_FAQ.pod blib/lib/Expect_FAQ.pod
Manifying blib/man3/Expect_intro.3
Manifying blib/man3/Expect.3
Manifying blib/man3/Expect_FAQ.3
  /usr/bin/make  -- OK
Running make test
No tests defined for Expect extension.
  /usr/bin/make test -- OK
Running make install
Installing /usr/local/lib/perl5/site_perl/5.7.0/Expect.pm
Installing /usr/local/lib/perl5/site_perl/5.7.0/Expect.pod
Installing /usr/local/lib/perl5/site_perl/5.7.0/Expect_FAQ.pod
Installing /usr/local/lib/perl5/site_perl/5.7.0/Expect_intro.pod
Installing /usr/local/man/man3/Expect.3
Installing /usr/local/man/man3/Expect_FAQ.3
Installing /usr/local/man/man3/Expect_intro.3
Writing /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi/auto/Expect/.packlist
Appending installation info to /usr/local/lib/perl5/5.7.0/cygwin-multi/perllocal.pod
  /usr/bin/make install  -- OK

cpan> exit
Lockfile removed.

siebenschlaefer@LORELEY /
$ perl -V
Summary of my perl5 (revision 5.0 version 7 subversion 0) configuration:
  Platform:
    osname=cygwin, osvers=1.1.6(0.3032), archname=cygwin-multi
    uname='cygwin_nt-4.0 loreley 1.1.6(0.3032) 2000-11-21 21:00 i686 unknown '
    config_args='-des -Dusedevel -Dusemultiplicity -Duseperlio -Duselargefiles -Dinstallprefix=/usr/local -Dprefix=/usr/local'
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=define
    useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
    use64bitint=undef use64bitall=undef uselongdouble=undef
  Compiler:
    cc='gcc', ccflags ='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include',
    optimize='-O2',
    cppflags='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include'
    ccversion='', gccversion='2.95.2-5 19991024 (cygwin experimental)', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=4
    alignbytes=8, usemymalloc=y, prototype=define
  Linker and Libraries:
    ld='ld2', ldflags =' -s -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib /lib
    libs=-lgdbm -ldb -lcrypt -lcygipc
    perllibs=-lcrypt -lcygipc
    libc=/usr/lib/libc.a, so=dll, useshrplib=true, libperl=libperl5_7_0.a
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' -s'
    cccdlflags=' ', lddlflags=' -s -L/usr/local/lib'

Characteristics of this binary (from libperl):
  Compile-time options: MULTIPLICITY USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
  Locally applied patches:
        DEVEL7978
  Built under cygwin
  Compiled at Dec  5 2000 20:35:20
  @INC:
    /usr/local/lib/perl5/5.7.0/cygwin-multi
    /usr/local/lib/perl5/5.7.0
    /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi
    /usr/local/lib/perl5/site_perl/5.7.0
    /usr/local/lib/perl5/site_perl
    .

siebenschlaefer@LORELEY /
$

gph

-- 
Gerrit Peter Haase

--
Want to unsubscribe from this list?
Send a message to [email-masked]